Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mdm.index.edm.services.security
Class SecurityManager

    java.lang.Object
      com.sun.mdm.index.edm.services.security.SecurityManager

public class SecurityManager
extends java.lang.Object

Read roles config xml

Field Summary
`static java.lang.String` | `AND`
`static java.lang.String` | `OR`

Method Summary
`java.lang.String[]` | `getAllRoles()` Retrieve all defined roles.
`static SecurityManager` | `getInstance()` Gets the instance attribute of the SecurityManager class.
`java.lang.String[]` | `getOperations(UserProfile userprofile)` Retrieve all valid operations for a specified userprofile.
`java.util.ArrayList` | `getOperationsforRole(java.lang.String roleName)` Retrieve all valid operations for a specified role name.
`static SecurityManager` | `init()` Initialize the Security Manager.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### AND

    public static final java.lang.String AND

See Also:
  Constant Field Values

### OR

    public static final java.lang.String OR

See Also:
  Constant Field Values

Method Detail

### getAllRoles

    public java.lang.String[] getAllRoles()

  Retrieve all defined roles.

### getInstance

    public static SecurityManager getInstance()

  Gets the instance attribute of the SecurityManager class.

  Returns:
    The instance value

### getOperations

    public java.lang.String[] getOperations(UserProfile userprofile)

  Retrieve all valid operations for a specified userprofile.

  Parameters:
    `userprofile` - User profile for the current user.

### getOperationsforRole

    public java.util.ArrayList getOperationsforRole(java.lang.String roleName)
                                             throws java.lang.Exception

  Retrieve all valid operations for a specified role name.

  Parameters:
    `roleName` - Role name whose operations will be returned.
  Throws:
    `java.lang.Exception` - if an error is encountered.

### init

    public static SecurityManager init()
                                throws java.lang.Exception

  Initialize the Security Manager.

  Throws:
    `java.lang.Exception` - if obtaining/initializing the instance failed

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Sun Microsystems, Inc.